config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/asound.conf.new
( cd usr/lib64 ; rm -rf libasound.so.2 )
( cd usr/lib64 ; ln -sf libasound.so.2.0.0 libasound.so.2 )
( cd usr/lib64 ; rm -rf libasound.so )
( cd usr/lib64 ; ln -sf libasound.so.2.0.0 libasound.so )
